import { Doc } from 'fyo/model/doc';
import { FiltersMap } from 'fyo/model/types';
import {
  AccountRootTypeEnum,
  AccountTypeEnum,
} from 'models/baseModels/Account/types';

export class POSSettings extends Doc {
  inventory?: string;
  cashAccount?: string;
  writeOffAccount?: string;

  static filters: FiltersMap = {
    cashAccount: () => ({
      rootType: AccountRootTypeEnum.Asset,
      accountType: AccountTypeEnum.Cash,
    }),
  };
}
